%global pretty_name jNeuroML

%global debug_package %{nil}

# Upstream used this as the release tag:
# https://github.com/NeuroML/jNeuroML/tags
Name:           jneuroml
Version:        0.12.2
Release:        1%{?dist}
Summary:        Validate, simulate, translate and analyse NeuroML 2 models

License:        LGPLv3
URL:            https://github.com/NeuroML/jNeuroML

# since we don't build from source, we don't get the full sources
# get the runner script
Source0:        %{url}/raw/master/jnml
# get the binary jar, which we cannot build in Fedora because of missing java things
Source1:        https://github.com/NeuroML/pyNeuroML/raw/v0.7.2/pyneuroml/lib/jNeuroML-%{version}-jar-with-dependencies.jar
Source2:        %{url}/raw/master/LICENSE.lesser
BuildRequires:  javapackages-filesystem

Requires:       java
Requires:       javapackages-filesystem
Requires:       jneuroml-core
# Contains the specification schemas, not necessary but suggested
Recommends:     jneuroml-core-doc

BuildArch:      noarch


%description
Computational models based on detailed neuroanatomical and electrophysiological
data have been used for many years as an aid for understanding the function of
the nervous system. NeuroML is an international, collaborative initiative to
develop a language for describing detailed models of neural systems.

This package provides the Java implementation of NeuroML.
It includes the prebuild Jar that uptream provides.


%prep
%autosetup -T -c -n %{pretty_name}-%{version}
cp %{SOURCE0} . -v
cp %{SOURCE1} . -v
cp %{SOURCE2} . -v

# Fix wrapper script
# - remove classpath definition
# - correct version
sed -i -e 's|^export CLASSPATH=.*|export CLASSPATH=%{_javadir}/%{pretty_name}-%{version}.jar|' \
    -e 's|JNML_VERSION=.*|JNML_VERSION=%{version}|' jnml



%build
# Nothing to do here

%install
install -p -m 0644 -D -T %{pretty_name}-%{version}-jar-with-dependencies.jar %{buildroot}/%{_javadir}/%{pretty_name}-%{version}.jar
install -p -m 0755 -D -T jnml %{buildroot}/%{_bindir}/jnml


%files
%license LICENSE.lesser
%{_javadir}/%{pretty_name}-%{version}.jar
%{_bindir}/jnml


%changelog
* Sun Sep 17 2023 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.12.2-1
- Update to 0.12.2

* Fri Dec 02 2022 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.12.0-2
- Update jar

* Tue Nov 22 2022 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.12.0-1
- Update to 0.12.0 pyNeuroML 0.7.2

* Tue Jan 04 2022 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.11.1-1
- Update to 0.11.1 for pyNeuroML 0.5.20

* Thu Nov 11 2021 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.11.0-1
- Update to 0.11.0 for pyNeuroML 0.5.18

* Thu Jun 17 2021 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.10.3-2
- Update requires to pull in all of java, since lots of bits require the GUI bits also
- Add BR for javapackages for macros

* Mon Mar 22 2021 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.10.3-1
- Update to latest release

* Tue Mar 02 2021 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.10.2-0.1.20210302
- Update to latest pre-release

* Wed Jan 27 2021 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.10.1-0.3.20210127
- Rebuild latest development snapshot to include latest bug-fixes

* Mon Jan 11 2021 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.10.1-0.2.20210111
- Rebuild for pull request update

* Tue Jan 05 2021 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.10.1-0.1.20200105
- Update to jar built with latest snapshot that includes PR to fix issues on Fedora
- https://github.com/NeuroML/org.neuroml.export/pull/67

* Wed Sep 23 2020 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.10.0-0.2.20200807svn1324
- Pull in jneuroml-core packages as requires

* Fri Aug 07 2020 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.10.0-0.1.20200807svn1324
- First build from upstream jar

* Sun Apr 26 2020 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.9.1-1
- Initial build
